PUT
/
v1
/
projects
/
{project}
/
boxes
/
{name}
/
file
Write a file to a box
curl --request PUT \
  --url https://api.example.com/v1/projects/{project}/boxes/{name}/file \
  --header 'Content-Type: application/octet-stream' \
  --data '[
  1
]'
import requests

url = "https://api.example.com/v1/projects/{project}/boxes/{name}/file"

payload = [1]
headers = {"Content-Type": "application/octet-stream"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/octet-stream'},
body: JSON.stringify([1])
};

fetch('https://api.example.com/v1/projects/{project}/boxes/{name}/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Path Parameters

project
string
required

Project name

name
string
required

Box name

Query Parameters

path
string
required

File path in the box

mode
string

File mode in octal (e.g., 644)

Body

application/octet-stream

File content

Required range: x >= 0

Response

File written